aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorkaotisk <kaotisk@arching-kaos.com>2022-02-11 07:18:19 +0200
committerkaotisk <kaotisk@arching-kaos.com>2022-02-11 07:18:19 +0200
commitbf634db74ecdd43263042c2a9f9a25bcb4a5d6ba (patch)
treee17b9b22aa7db85d6f523de1dbf4226987c9c122
parent3a6c8b17c28c165a41dbd8b1d6741030a97f814b (diff)
downloadarching-kaos-tools-bf634db74ecdd43263042c2a9f9a25bcb4a5d6ba.tar.gz
arching-kaos-tools-bf634db74ecdd43263042c2a9f9a25bcb4a5d6ba.tar.bz2
arching-kaos-tools-bf634db74ecdd43263042c2a9f9a25bcb4a5d6ba.zip
Added debug messages for each step
-rwxr-xr-xinit.sh18
1 files changed, 17 insertions, 1 deletions
diff --git a/init.sh b/init.sh
index 943418b..cac7953 100755
--- a/init.sh
+++ b/init.sh
@@ -18,13 +18,29 @@ if [[ ! -f $ZCHAINASC ]] ; then gpg -bao $ZCHAINASC $ZCHAIN;fi
if [[ ! -f $ZZCHAIN ]] ; then echo $(ipfs add -q $ZCHAINASC) > $ZZCHAIN;fi
if [[ ! -f $GENESISASC ]] ; then gpg -bao $GENESISASC $GENESIS;fi
if [[ ! -f $ZGENESISASC ]] ; then echo $(ipfs add -q $GENESISASC) > $ZGENESISASC;fi
+echo "Checking for /zarchive in IPFS FS..."
ipfs files ls /zarchive > /dev/null 2>&1
if [ $? != 0 ]; then
- ipfs files mkdir /zarchive
+ ipfs files mkdir /zarchive > /dev/null 2>&1
+ if [ $? != 0 ]; then
+ echo "Error"
+ else
+ echo "Created"
+ fi
+else
+ echo "...Found"
fi
+echo "Looking for /zlatest..."
ipfs files stat /zlatest > /dev/null 2>&1
if [ $? != 0 ]; then
ipfs files cp /ipfs/$(cat $ZGENESIS) /zlatest
+ if [ $? != 0 ]; then
+ echo "Problem copying $ZGENESIS to /zlatest"
+ else
+ echo "Success"
+ fi
+else
+ echo "...Found"
fi
# TODO GPG/PGP setup